Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class AnnotationConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression
                      org.codehaus.groovy.ast.expr.AnnotationConstantExpression

    class AnnotationConstantExpression
    extends ConstantExpression

Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

author:
  Alex Popescu

version:
  $Revision: 3264 $

Constructor Summary
`AnnotationConstantExpression(AnnotationNode node)`

Method Summary
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class ConstantExpression
getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.